# Secure Source Manager V1 API - Class Google::Cloud::SecureSourceManager::V1::PullRequest (v2.7.0)

2.7.0 (latest) 2.6.1 2.5.0 2.4.0 2.3.0 2.2.1 2.1.0 2.0.1 1.3.0 1.2.0 1.1.0 1.0.1 0.4.0 0.3.0 0.2.2 0.1.0 Reference documentation and code samples for the Secure Source Manager V1 API class Google::Cloud::SecureSourceManager::V1::PullRequest.

Metadata of a PullRequest. PullRequest is the request
from a user to merge a branch (head) into another branch (base).

## Inherits

- Object

## Extended By

- Google::Protobuf::MessageExts::ClassMethods

## Includes

- Google::Protobuf::MessageExts

## Methods

### #base

    def base() -> ::Google::Cloud::SecureSourceManager::V1::PullRequest::Branch

**Returns**

- ([::Google::Cloud::SecureSourceManager::V1::PullRequest::Branch](https://docs.cloud.google.com/ruby/docs/reference/google-cloud-secure_source_manager-v1/latest/Google-Cloud-SecureSourceManager-V1-PullRequest-Branch)) --- Required. The branch to merge changes in.

### #base=

    def base=(value) -> ::Google::Cloud::SecureSourceManager::V1::PullRequest::Branch

**Parameter**

- **value** ([::Google::Cloud::SecureSourceManager::V1::PullRequest::Branch](https://docs.cloud.google.com/ruby/docs/reference/google-cloud-secure_source_manager-v1/latest/Google-Cloud-SecureSourceManager-V1-PullRequest-Branch)) --- Required. The branch to merge changes in.
**Returns**

- ([::Google::Cloud::SecureSourceManager::V1::PullRequest::Branch](https://docs.cloud.google.com/ruby/docs/reference/google-cloud-secure_source_manager-v1/latest/Google-Cloud-SecureSourceManager-V1-PullRequest-Branch)) --- Required. The branch to merge changes in.

### #body

    def body() -> ::String

**Returns**

- (::String) --- Optional. The pull request body. Provides a detailed description of the changes.

### #body=

    def body=(value) -> ::String

**Parameter**

- **value** (::String) --- Optional. The pull request body. Provides a detailed description of the changes.
**Returns**

- (::String) --- Optional. The pull request body. Provides a detailed description of the changes.

### #close_time

    def close_time() -> ::Google::Protobuf::Timestamp

**Returns**

- ([::Google::Protobuf::Timestamp](https://docs.cloud.google.com/ruby/docs/reference/google-cloud-secure_source_manager-v1/latest/Google-Protobuf-Timestamp)) --- Output only. Close timestamp (if closed or merged). Cleared when pull request is re-opened.

### #create_time

    def create_time() -> ::Google::Protobuf::Timestamp

**Returns**

- ([::Google::Protobuf::Timestamp](https://docs.cloud.google.com/ruby/docs/reference/google-cloud-secure_source_manager-v1/latest/Google-Protobuf-Timestamp)) --- Output only. Creation timestamp.

### #head

    def head() -> ::Google::Cloud::SecureSourceManager::V1::PullRequest::Branch

**Returns**

- ([::Google::Cloud::SecureSourceManager::V1::PullRequest::Branch](https://docs.cloud.google.com/ruby/docs/reference/google-cloud-secure_source_manager-v1/latest/Google-Cloud-SecureSourceManager-V1-PullRequest-Branch)) --- Immutable. The branch containing the changes to be merged.

### #head=

    def head=(value) -> ::Google::Cloud::SecureSourceManager::V1::PullRequest::Branch

**Parameter**

- **value** ([::Google::Cloud::SecureSourceManager::V1::PullRequest::Branch](https://docs.cloud.google.com/ruby/docs/reference/google-cloud-secure_source_manager-v1/latest/Google-Cloud-SecureSourceManager-V1-PullRequest-Branch)) --- Immutable. The branch containing the changes to be merged.
**Returns**

- ([::Google::Cloud::SecureSourceManager::V1::PullRequest::Branch](https://docs.cloud.google.com/ruby/docs/reference/google-cloud-secure_source_manager-v1/latest/Google-Cloud-SecureSourceManager-V1-PullRequest-Branch)) --- Immutable. The branch containing the changes to be merged.

### #name

    def name() -> ::String

**Returns**

- (::String) --- Output only. Identifier. A unique identifier for a PullRequest. The number appended at the end is generated by the server. Format: `projects/{project}/locations/{location}/repositories/{repository}/pullRequests/{pull_request_id}`

### #state

    def state() -> ::Google::Cloud::SecureSourceManager::V1::PullRequest::State

**Returns**

- ([::Google::Cloud::SecureSourceManager::V1::PullRequest::State](https://docs.cloud.google.com/ruby/docs/reference/google-cloud-secure_source_manager-v1/latest/Google-Cloud-SecureSourceManager-V1-PullRequest-State)) --- Output only. State of the pull request (open, closed or merged).

### #title

    def title() -> ::String

**Returns**

- (::String) --- Required. The pull request title.

### #title=

    def title=(value) -> ::String

**Parameter**

- **value** (::String) --- Required. The pull request title.
**Returns**

- (::String) --- Required. The pull request title.

### #update_time

    def update_time() -> ::Google::Protobuf::Timestamp

**Returns**

- ([::Google::Protobuf::Timestamp](https://docs.cloud.google.com/ruby/docs/reference/google-cloud-secure_source_manager-v1/latest/Google-Protobuf-Timestamp)) --- Output only. Last updated timestamp.